Package com.pixelmed.dose

# Class SourceOfDoseInformation

java.lang.Object
com.pixelmed.dose.SourceOfDoseInformation

public class SourceOfDoseInformation extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final SourceOfDoseInformation`
`AUTOMATED_DATA_COLLECTION`
`static final SourceOfDoseInformation`
`COMPUTED_FROM_IMAGE_ATTRIBUTES`
`static final SourceOfDoseInformation`
`COPIED_FROM_IMAGE_ATTRIBUTES`
`static final SourceOfDoseInformation`
`DERIVED_FROM_HUMAN_READABLE_REPORTS`
`static final SourceOfDoseInformation`
`DOSIMETER`
`static final SourceOfDoseInformation`
`MANUAL_ENTRY`
`static final SourceOfDoseInformation`
`MPPS_CONTENT`

## Method Summary

Modifier and Type
Method
Description
`CodedSequenceItem`
`getCodedSequenceItem()`
`static CodedSequenceItem`
`getCodedSequenceItem(SourceOfDoseInformation role)`
`static SourceOfDoseInformation`
`getSourceOfDoseInformation(ContentItem parent)`
`String`
`toString()`
`String`
`toStringAbbreviation()`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### AUTOMATED_DATA_COLLECTION

public static final SourceOfDoseInformation AUTOMATED_DATA_COLLECTION

### MANUAL_ENTRY

public static final SourceOfDoseInformation MANUAL_ENTRY

### MPPS_CONTENT

public static final SourceOfDoseInformation MPPS_CONTENT

### DOSIMETER

public static final SourceOfDoseInformation DOSIMETER

### COPIED_FROM_IMAGE_ATTRIBUTES

public static final SourceOfDoseInformation COPIED_FROM_IMAGE_ATTRIBUTES

### COMPUTED_FROM_IMAGE_ATTRIBUTES

public static final SourceOfDoseInformation COMPUTED_FROM_IMAGE_ATTRIBUTES

### DERIVED_FROM_HUMAN_READABLE_REPORTS

public static final SourceOfDoseInformation DERIVED_FROM_HUMAN_READABLE_REPORTS

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### toStringAbbreviation

public String toStringAbbreviation()

### getSourceOfDoseInformation

public static SourceOfDoseInformation getSourceOfDoseInformation(ContentItem parent)

### getCodedSequenceItem

public static CodedSequenceItem getCodedSequenceItem(SourceOfDoseInformation role) throws DicomException

Throws:
  `DicomException`

### getCodedSequenceItem

public CodedSequenceItem getCodedSequenceItem() throws DicomException

Throws:
  `DicomException`